Loading...
Searching...
No Matches
oval_cmp_ip_address_impl.h File Reference

Open Vulnerability and Assessment Language. More...

`#include "common/util.h"`
`#include "oval_definitions.h"`
`#include "oval_types.h"`
Include dependency graph for oval_cmp_ip_address_impl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

oval_result_t | oval_ipaddr_cmp (int af, const char *s1, const char *s2, oval_operation_t op)
| Compare two IP address or address sets (CIDR).

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/

## Function Documentation

## oval_ipaddr_cmp()

oval_result_t oval_ipaddr_cmp | ( | int | af,
|  | const char * | s1,
|  | const char * | s2,
|  | oval_operation_t | op )

Compare two IP address or address sets (CIDR).

The format of input string shall conform to ipv4_address types from oval:SimpleDatatypeEnumeration. This operation is not commutative, be aware of the order of operands.

Parameters

  af | Internet address family (AF_INET or AF_INET6)
  s1 | ipv4 address as defined by state element
  s2 | ipv4 address as captured from system (from syschar object)
  op | type of comparison operation

Returns
  result of comparison as defined by OVAL specification